import { Component } from '@angular/core';
import { IonApp, IonRouterOutlet } from '@ionic/angular/standalone';
import Parse from 'parse';
@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    IonApp,IonRouterOutlet
  ],
  templateUrl: './app.component.html',
  styleUrl: './app.component.scss',
})
export class AppComponent {
  title = 'live-app';
  constructor() {
    this.initParseService();
  }
  initParseService() {
    Parse.initialize('ncloudmaster');
    (Parse as any).serverURL = 'https://server.fmode.cn/parse';
    localStorage.setItem('company', 'Qje9D4bqol');
    this.saveParamsInvite();
  }
  saveParamsInvite(){
    let searchParams = this.searchParse()
    let invite = searchParams?.get("invite");
    invite && localStorage.setItem("invite",invite)
  }
  searchParse(url?:string):URLSearchParams{
    url = url || location.href;
    let u = new URL(url);
    return u.searchParams;
  }
}
